.woocommerce {
  .woocommerce-notices-wrapper,
  .woocommerce-form-coupon-toggle,
  .woocommerce-NoticeGroup {
    display: none;
  }

  label {
    .optional {
      display: none;
    }

    span {
      &.c-optional {
        font-size: calculateSize(14);
        line-height: calculateSize(18);
        font-weight: 500;
        color: rgba(#1E1E1E, 0.6);
        //padding-left: 8px;
        white-space: nowrap;
      }
    }

    abbr[title], abbr[data-bs-original-title] {
      cursor: auto;
      text-decoration: none;
    }

    &.checkbox {
      display: inline-block;
    }
  }

  .woocommerce-billing-fields__field-wrapper,
  .woocommerce-additional-fields__field-wrapper,
  .woocommerce-terms-and-conditions-wrapper {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -18px;

    .form-row {
      display: flex;
      flex-direction: column;
      width: calc(100% / 2);
      padding: 0 18px;
      margin-bottom: 18px;

      &.checkbox-terms {
        width: 100%;

        label {
          .text-required {
            display: inline;
            position: static;
          }
        }
      }

      &.notes {
        label {
          display: inline-block;
        }
      }

      &.woocommerce-invalid-required-field {
        label {
          span.text-required {
            opacity: 1;
            transform: translateY(0);
          }
        }
      }

      &.woocommerce-invalid-email {
        label {
          span.text-email {
            opacity: 1;
            transform: translateY(0);
          }
        }
      }

      @include screen-max($mobile) {
        width: 100%;
      }

      label {
        font-size: calculateSize(16);
        line-height: calculateSize(25);
        font-weight: 600;
        margin-bottom: 8px;
        display: flex;
        justify-content: space-between;
        position: relative;

        abbr {
          display: none;
        }

        .text-required,
        .text-email {
          position: absolute;
          top: 0;
          right: 0;
          color: #FF1E1E;
          font-size: calculateSize(14);
          line-height: calculateSize(25);
          display: flex;
          align-items: center;
          font-weight: 500;
          transition: 0.4s ease;
          opacity: 0;
          transform: translateY(5px);
        }
      }

      .woocommerce-input-wrapper {
        width: 100%;

        input {
          @extend .input;
          width: 100%;
        }
      }
    }
  }

  .woocommerce-additional-fields__field-wrapper {
    .form-row {
      width: 100%;
    }
  }

  .woocommerce-checkout-payment {
    .payment_methods {
      list-style: none;
      padding-left: 16px;
      display: flex;
      flex-direction: column;
      gap: 8px;

      .wc_payment_method {
        display: flex;

        .payment_box {
          display: none !important;
        }
      }
    }

    &__methods {
      display: flex;
      justify-content: space-between;
      padding-bottom: 26px;
    }
  }

  .woocommerce_after_order_notes {
    margin-bottom: 34px;
    margin-top: 10px;

    label {
      font-size: calculateSize(16);
      line-height: calculateSize(24);
      font-weight: 600;
      color: $colorGreen;
    }
  }

  .checkbox-terms {
    margin-bottom: 26px;
    margin-top: 24px;

    label {
      .woocommerce-terms-and-conditions-checkbox-text {
        font-size: calculateSize(16);
        line-height: calculateSize(24);
        font-weight: 600;
        color: $colorGreen;
        padding-left: 0;

        a {
          font-size: calculateSize(16);
          line-height: calculateSize(24);
          font-weight: 600;
          color: $colorGreen;
          text-decoration: underline;
        }
      }
    }
  }

  .order-total {
    display: flex;
    justify-content: space-between;

    & > * {
      &:first-child {
        font-size: calculateSize(16);
        line-height: calculateSize(19);
        font-weight: 500;
        color: #1E1E1E;
        opacity: 0.6;
      }

      &:last-child {
        font-size: calculateSize(16);
        line-height: calculateSize(24);
        font-weight: 600;
        color: $colorGreen;
      }
    }
  }

  .payment_method_bluemedia_payment_gateway {
    img {
      max-width: 70px;
    }
  }
}

.woocommerce-checkout,
.woocommerce-cart {
  .section-sub-footer {
    display: none;
  }

  #billing_address_1_field,
  #billing_address_2_field,
  #billing_postcode_field,
  #billing_phone_field,
  #billing_city_field {
    display: none;
  }
}
